## flim 1.12.7

=== Makefile ===
#
# Makefile for FLIM.
#

PACKAGE = flim
API	= 1.12
RELEASE = 7

TAR	= tar
RM	= /bin/rm -f
CP	= /bin/cp -p

EMACS	= emacs
XEMACS	= xemacs
FLAGS   = -batch -q -no-site-file -l FLIM-MK

PREFIX = NONE
LISPDIR = NONE
PACKAGEDIR = NONE
VERSION_SPECIFIC_LISPDIR = NONE

GOMI	= *.elc \
	  *.cp *.cps *.ky *.kys *.fn *.fns *.vr *.vrs \
	  *.pg *.pgs *.tp *.tps *.toc *.aux *.log
FILES	= README.?? Makefile FLIM-MK FLIM-CFG FLIM-ELS *.el ChangeLog

VERSION	= $(API).$(RELEASE)
ARC_DIR = /pub/mule/flim/$(PACKAGE)-$(API)
SEMI_ARC_DIR = /pub/mule/semi/semi-1.13-for-flim-$(API)

elc:
	$(EMACS) $(FLAGS) -f compile-flim $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)

install:	elc
	$(EMACS) $(FLAGS) -f install-flim $(PREFIX) $(LISPDIR) \
		$(VERSION_SPECIFIC_LISPDIR)


package:
	$(XEMACS) $(FLAGS) -f compile-flim-package $(PACKAGEDIR)

install-package:	package
	$(XEMACS) $(FLAGS) -f install-flim-package $(PACKAGEDIR)

clean:
	-$(RM) $(GOMI)


tar:
	cvs commit
	sh -c 'cvs tag -RF $(PACKAGE)-`echo $(VERSION) | tr . _`; \
	cd /tmp; \
	cvs -d :pserver:anonymous@chamonix.jaist.ac.jp:/hare/cvs/root \
		export -d $(PACKAGE)-$(VERSION) \
		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
		flim'
	cd /tmp; $(RM) $(PACKAGE)-$(VERSION)/ftp.in ; \
		$(TAR) cvzf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	cd /tmp; $(RM) -r $(PACKAGE)-$(VERSION)
	sed "s/VERSION/$(VERSION)/" < ftp.in | sed "s/API/$(API)/" > ftp

release:
	-$(RM) $(ARC_DIR)/$(PACKAGE)-$(VERSION).tar.gz
	mv /tmp/$(PACKAGE)-$(VERSION).tar.gz $(ARC_DIR)
	cd $(SEMI_ARC_DIR) ; \
		ln -s ../../flim/flim-$(API)/$(PACKAGE)-$(VERSION).tar.gz .

## flim 1.14.3

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 #
 
 PACKAGE = flim
-API	= 1.12
-RELEASE = 7
+API	= 1.14
+RELEASE = 3
 
 TAR	= tar
 RM	= /bin/rm -f
@@ -25,11 +25,16 @@
 FILES	= README.?? Makefile FLIM-MK FLIM-CFG FLIM-ELS *.el ChangeLog
 
 VERSION	= $(API).$(RELEASE)
-ARC_DIR = /pub/mule/flim/$(PACKAGE)-$(API)
-SEMI_ARC_DIR = /pub/mule/semi/semi-1.13-for-flim-$(API)
+ARC_DIR_PREFIX = /home/kanji/tomo/public_html/comp/emacsen/lisp
+ARC_DIR = $(ARC_DIR_PREFIX)/flim/flim-$(API)
+SEMI_ARC_DIR = $(ARC_DIR_PREFIX)/semi/semi-1.14-for-flim-$(API)
 
 elc:
 	$(EMACS) $(FLAGS) -f compile-flim $(PREFIX) $(LISPDIR) \
+		$(VERSION_SPECIFIC_LISPDIR)
+
+check:
+	$(EMACS) $(FLAGS) -f check-flim $(PREFIX) $(LISPDIR) \
 		$(VERSION_SPECIFIC_LISPDIR)
 
 install:	elc
@@ -49,16 +54,17 @@
 
 tar:
 	cvs commit
-	sh -c 'cvs tag -RF $(PACKAGE)-`echo $(VERSION) | tr . _`; \
+	sh -c 'cvs tag -R $(PACKAGE)-`echo $(VERSION) | tr . _`; \
 	cd /tmp; \
-	cvs -d :pserver:anonymous@chamonix.jaist.ac.jp:/hare/cvs/root \
+	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
 		export -d $(PACKAGE)-$(VERSION) \
 		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
 		flim'
 	cd /tmp; $(RM) $(PACKAGE)-$(VERSION)/ftp.in ; \
 		$(TAR) cvzf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
 	cd /tmp; $(RM) -r $(PACKAGE)-$(VERSION)
-	sed "s/VERSION/$(VERSION)/" < ftp.in | sed "s/API/$(API)/" > ftp
+	sed "s/VERSION/$(VERSION)/" < ftp.in | sed "s/API/$(API)/" \
+		| sed "s/PACKAGE/$(PACKAGE)/" > ftp
 
 release:
 	-$(RM) $(ARC_DIR)/$(PACKAGE)-$(VERSION).tar.gz

## flim 1.14.6+0.20040609

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PACKAGE = flim
 API	= 1.14
-RELEASE = 3
+RELEASE = 6
 
 TAR	= tar
 RM	= /bin/rm -f
@@ -25,9 +25,11 @@
 FILES	= README.?? Makefile FLIM-MK FLIM-CFG FLIM-ELS *.el ChangeLog
 
 VERSION	= $(API).$(RELEASE)
-ARC_DIR_PREFIX = /home/kanji/tomo/public_html/comp/emacsen/lisp
+ARC_DIR_PREFIX = /home/kanji/tomo/public_html/lemi/dist
 ARC_DIR = $(ARC_DIR_PREFIX)/flim/flim-$(API)
 SEMI_ARC_DIR = $(ARC_DIR_PREFIX)/semi/semi-1.14-for-flim-$(API)
+
+CVS_HOST = cvs.m17n.org
 
 elc:
 	$(EMACS) $(FLAGS) -f compile-flim $(PREFIX) $(LISPDIR) \
@@ -56,7 +58,7 @@
 	cvs commit
 	sh -c 'cvs tag -R $(PACKAGE)-`echo $(VERSION) | tr . _`; \
 	cd /tmp; \
-	cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/root \
+	cvs -d :pserver:anonymous@$(CVS_HOST):/cvs/root \
 		export -d $(PACKAGE)-$(VERSION) \
 		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
 		flim'

## flim 1.14.9%2B0.20120428

=== debian/control ===
Source: flim
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/flim.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flim.git
Homepage: http://git.chise.org/elisp/flim/

Package: flim
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs | emacsen, apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: xemacs21-bin, semi, wl | wl-beta
Conflicts: tm, semi-gnus (<< 1:6.10.13), flim1.13
Replaces: flim1.13
Description: library about internet message for emacsen
 FLIM (Faithful Library about Internet Message) is a library to provide
 basic functions about message representation and encoding for emacsen.
 It consists of following modules:
 .
  std11.el         STD 11 (RFC 822) parser and utility
  mime.el          to provide various services about MIME-entities
  mime-def.el      Definitions about MIME format
  mime-parse.el    MIME parser
  mel.el           MIME encoder/decoder
  mel-b-dl.el      base64 (B-encoding) encoder/decoder
                   (for Emacs 20 with dynamic loading support)
  mel-b-ccl.el     base64 (B-encoding) encoder/decoder (using CCL)
  mel-b-en.el      base64 (B-encoding) encoder/decoder (for other emacsen)
  mel-q-ccl.el     quoted-printable and Q-encoding encoder/decoder (using CCL)
  mel-q.el         quoted-printable and Q-encoding encoder/decoder
  mel-u.el         unofficial backend for uuencode
  mel-g.el         unofficial backend for gzip64
  eword-decode.el  encoded-word decoder
  eword-encode.el  encoded-word encoder

## flim 1.14.9+0.20100313

=== debian/changelog ===
flim (1:1.14.9+0.20100313-2) unstable; urgency=low

  * debian/patches/01mel-q-ccl-for-emacs24.patch: Workaround for broken ccl
    encoding/decoding in the current emacs-snapshot package.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 24 Mar 2010 00:24:24 +0900

flim (1:1.14.9+0.20100313-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14 branch on 2010-03-13)
  * debian/copyright: Add a location for the snapshot tarball.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Mar 2010 23:02:27 +0900

flim (1:1.14.9+0.20100218-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14 branch on 2010-02-18)
  * debian/patches: Removed. (merged upstream)
  * Switch to dpkg-source 1.0 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 18 Feb 2010 22:45:55 +0900

flim (1:1.14.9+0.20100210-2) unstable; urgency=low

  * debian/patches/wl-en-03503-20100210.patch: Patch from the upstream
    mailing list [wl-en:03503] on 2010-02-10 to fix incorrect usage of the
    8BITMIME smtp extension by Tetsurou Okazaki. (closes: #569223)
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Feb 2010 18:24:19 +0900

flim (1:1.14.9+0.20100210-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14 branch on 2010-02-10)
  * debian/rules, debian/control: Remove the quilt dependency.
  * debian/patches, debian/README.source: Removed.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 10 Feb 2010 22:38:21 +0900

flim (1:1.14.9-5) unstable; urgency=low

  * debian/emacsen-startup, debian/control: Don't use metamail's mimencode,
    and suggest xemacs21-bin for mmencode. (closes: #562846)
  * debian/rules: Add direntry to *.texi for *.info. (closes: #528871)
  * debian/prerm, debian/postinst: Removed.
  * debian/control:
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add `${misc:Depends}' to Depends.
    - Set Section to lisp.
    - Update Standards-Version to 3.8.4.
  * debian/README.source: New file, mention that this package uses quilt to
    manage debian/patches.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 08 Feb 2010 23:46:23 +0900

flim (1:1.14.9-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop Recommends on metamail (which is now gone)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 21 Jan 2010 22:53:30 +0100

flim (1:1.14.9-4) unstable; urgency=low

  * debian/emacsen-install: Don't fail with xemacs21-nomule.
    (closes: #522801)

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 08 Apr 2009 23:55:11 +0900

flim (1:1.14.9-3) unstable; urgency=low

  * debian/patches/cvs20081125.patch: Patch from the upstream CVS flim-1_14
    branch on 2008-11-25 for eword-decode.el, tests/test-rfc2231.el and
    mel-q-ccl.el by Katsumi Yamaoka and Yoichi NAKAYAMA.
  * debian/patches/yamaoka20080403.patch: Patch from [emacs-mime-ja:02201]
    on 2008-04-03 for mel-q-ccl.el to prevent a Quoted-Printable problem by
    Katsumi Yamaoka.
  * debian/patches/kzhr20071128.patch: Patch from [emacs-mime-ja:02196] on
    2007-11-28 for mel-q-ccl.el to prevent a Quoted-Printable problem by
    Kazuhiro Ito.
  * debian/rules, debian/control: Handle debian/patches with quilt.
  * debian/emacsen-*: Rewritten.
  * debian/rules, debian/dirs: Install obsolete files in the attic directory.
  * debian/docs, debian/rules: Install FLIM-API*, *.texi and *.sgml in the
    doc directory.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/rules, debian/env.el: Don't use env.el.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/control:
    - Remove `make' from `Depends:'.
    - Update Standards-Version to 3.8.1.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Apr 2009 23:27:54 +0900

flim (1:1.14.9-2) unstable; urgency=low

  * debian/emacsen-startup: Set base64-internal-decoding-limit and
    base64-internal-encoding-limit to 0 for emacs-unicode, suggested by
    Clemens Fruhwirth, [wl-en:02341] on 2008-03-28.
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Set Standards-Version to 3.7.3.
    - Build-Depends: debhelper (>= 6).
  * debian/compat: 5 -> 6.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 28 Mar 2008 22:10:59 +0900

flim (1:1.14.9-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 28 Nov 2007 22:05:56 +0900

flim (1:1.14.8+0.20070618-4) unstable; urgency=low

  * debian/emacsen-startup: Use (charsetp 'unicode-bmp) instead of checking
    emacs-major-version to detect the emacs-unicode-2 branch of Emacs.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 02 Sep 2007 13:07:20 +0900

flim (1:1.14.8+0.20070618-3) unstable; urgency=low

  * debian/control:
    - Move semi from Recommends to Suggests.
    - Remove t-gnus from Suggests, which no longer exists in Debian.
  * debian/emacsen-startup: Set mel-b-ccl-module to nil for Emacs 23
    to prevent a decoding problem.  (Thanks to Clemens Fruhwirth,
    [wl-en:02175] on 2007-08-23)
  * debian/copyright: Refer to /usr/share/common-licenses/GFDL.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 24 Aug 2007 21:05:15 +0900

flim (1:1.14.8+0.20070618-2) unstable; urgency=low

  * debian/rules: Use emacs instead of emacs21.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Jul 2007 21:51:13 +0900

flim (1:1.14.8+0.20070618-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14 branch on 2007-06-18)
  * debian/control: Prefer emacs to emacs21.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 23 Jun 2007 20:38:50 +0900

flim (1:1.14.8+0.20061220-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14 branch on 2006-12-20)
  * debian/emacsen-install.in: Recompile w3m-el.
  * debian/prerm: Check whether the argument is "remove" or "upgrade".
  * debian/control:
    - Depends apel (>= 10.7).


=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/flim.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flim.git
-Homepage: http://git.chise.org/elisp/flim/
+Build-Depends-Indep: emacs
+Standards-Version: 3.8.4
+Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/FLIM/
 
 Package: flim
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs | emacsen, apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacs | emacsen, apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: xemacs21-bin, semi, wl | wl-beta
 Conflicts: tm, semi-gnus (<< 1:6.10.13), flim1.13
 Replaces: flim1.13

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=flim
ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
EMACS=emacs

build: build-stamp
build-stamp:
	dh_testdir

	for fbase in mime-en mime-ja; do \
	  if egrep '^@direntry' $$fbase.texi 2>&1 >/dev/null; then \
	    cp $$fbase.texi debian/$$fbase.texi; \
	  else \
	    perl -pe 's/^\@titlepage/\@dircategory Emacs\n\@direntry\n* '$$fbase' ('$(PACKAGE)'): ('$$fbase').  MIME library for Emacs.\n\@end direntry\n\n\@titlepage/' $$fbase.texi >debian/$$fbase.texi; \
	  fi; \
	  $(EMACS) -batch -q -no-site-file \
	    -eval '(set-language-environment "Japanese")' \
	    -eval "(prefer-coding-system 'iso-2022-jp)" \
	    -eval '(find-file "debian/'$$fbase'.texi")' \
	    -l texinfmt -f texinfo-every-node-update \
	    -f texinfo-format-buffer -f save-buffer; \
	  mv -f debian/$$fbase.info .; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/*.texi debian/*.info *.info .\#* debian/.\#*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp Makefile FLIM-* *.el $(ELDIR)/
	rm -f $(ELDIR)/FLIM-API*

# Install obsolete files in the attic directory.
	for f in mailcap.el smtpmail.el; do \
	  if [ -f $(ELDIR)/$$f ]; then mv $(ELDIR)/$$f $(ELDIR)/attic/; fi; \
	done

binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installemacsen --priority 50
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.kanji.zinbun.kyoto-u.ac.jp/~tomo/lemi/dist/flim/flim-1.14/flim-([0-9]+\..+)\.tar\.gz debian uupdate

## flim 1.14.9+0.20100805

=== debian/changelog ===
flim (1:1.14.9+0.20100805-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14 branch on 2010-08-05)
  * debian/patches/020_backquotes-for-emacs24.patch: Workaround for broken
    old style backquotes in Emacs 24.0.50. (closes: #588189)
  * debian/control:
    - Add GNU Emacs flavors to Build-Depends-Indep. (closes: #588435)
    - Update Standards-Version to 3.9.1.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 16 Oct 2010 01:04:24 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs
-Standards-Version: 3.8.4
+Build-Depends-Indep: emacs | emacs23 | emacs22
+Standards-Version: 3.9.1
 Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/FLIM/
 
 Package: flim

## flim 1.14.9+0.20110516

=== debian/changelog ===
flim (1:1.14.9+0.20110516-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14-wl branch on 2011-05-16)
  * debian/patches/020_backquotes-for-emacs24.patch: Removed.
    (merged upstream)
  * debian/copyright: Use GFDL-NIV for GFDL with no invariant sections.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 May 2011 21:10:48 +0900

flim (1:1.14.9+0.20101116-1) unstable; urgency=low

  * New upstream release. (CVS flim-1_14-wl branch on 2010-11-16)
  * debian/patches/020_backquotes-for-emacs24.patch: Remove the patch of
    md5-el.el. (merged upstream)
  * debian/control: Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 May 2011 01:15:38 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs23 | emacs22
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/FLIM/
 
 Package: flim

## flim 1.14.9+0.20120428

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PACKAGE = flim
 API	= 1.14
-RELEASE = 6
+RELEASE = 9
 
 TAR	= tar
 RM	= /bin/rm -f

=== debian/changelog ===
flim (1:1.14.9+0.20120428-3) unstable; urgency=low

  * Update 020_ikazuhiro.patch, sync on 2013-07-06
  * Remove 030_Upstream-not-in-flim-1_14-wl.patch (merged ikazuhiro)
  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Dec 2013 23:05:52 +0900

flim (1:1.14.9+0.20120428-2) unstable; urgency=low

  * New patch 010_flim-1_14-wl.patch, sync with
    https://github.com/wanderlust/flim/commits/flim-1_14-wl on 2013-07-01
  * Remove 000*.patch (merged flim-1_14-wl)
  * New patch 020_ikazuhiro.patch, sync with
    https://github.com/ikazuhiro/flim/commits/flim-1_14-wl on 2013-07-05
  * New patch 030_Upstream-not-in-flim-1_14-wl.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 05 Jul 2013 23:53:02 +0900

flim (1:1.14.9+0.20120428-1) unstable; urgency=low

  * Imported Upstream version 1.14.9+0.20120428
  * New patches from flim-1_14-wl
    - 0001-Use-new-style-backquotes.patch
    - 0002-Proper-ChangeLog-entry.patch
    - 0003-Use-new-style-backquotes-in-md4.el.patch
  * Remove 010_mel-q-ccl-for-emacs24.patch (unneeded now)
  * Add emacs24 to Build-Depends-Indep
  * Add Vcs-Git and Vcs-Browser
  * Switch Homepage to chise.org
  * Update debian/watch
  * Update debian/copyright
  * debian/rules: New targets build-arch and build-indep
  * Update Standards-Version to 3.9.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 11 May 2013 18:48:31 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs23 | emacs22
-Standards-Version: 3.9.2
-Homepage: http://kanji.zinbun.kyoto-u.ac.jp/~tomo/elisp/FLIM/
+Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/flim.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flim.git
+Homepage: http://git.chise.org/elisp/flim/
 
 Package: flim
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
 EMACS=emacs
 
-build: build-stamp
-build-stamp:
+build-indep: build-indep-stamp
+build-indep-stamp:
 	dh_testdir
 
 	for fbase in mime-en mime-ja; do \
@@ -26,17 +26,21 @@
 	  mv -f debian/$$fbase.info .; \
 	done
 
-	touch build-stamp
+	touch $@
+
+build-arch:
+
+build: build-indep build-arch
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f *build*-stamp
 	rm -f debian/*.texi debian/*.info *.info .\#* debian/.\#*
 
 	dh_clean
 
-install: build
+install: build-indep
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -50,7 +54,7 @@
 	  if [ -f $(ELDIR)/$$f ]; then mv $(ELDIR)/$$f $(ELDIR)/attic/; fi; \
 	done
 
-binary-indep: build install
+binary-indep: install
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf
@@ -67,7 +71,7 @@
 	dh_md5sums
 	dh_builddeb
 
-binary-arch: build install
+binary-arch:
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

## flim 1.14.9+0.20201117

=== debian/changelog ===
flim (1:1.14.9+0.20201117-2) unstable; urgency=medium

  * Update Info handling to use makeinfo
  * Update debian/upstream/metadata to use https
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Feb 2021 18:38:57 +0900

flim (1:1.14.9+0.20201117-1) unstable; urgency=medium

  * New upstream version 1.14.9+0.20201117
    - Fix incorrect std11-narrow-to-header breaks wl-template-select

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 18 Nov 2020 00:05:05 +0900

flim (1:1.14.9+0.20201111-1) unstable; urgency=medium

  * New upstream version 1.14.9+0.20201111
    - Fix luna.el fails with void-variable in lexical binding environment

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 12 Nov 2020 00:14:34 +0900

flim (1:1.14.9+0.20201029-1) unstable; urgency=medium

  * Switch Homepage to github.com/wanderlust/flim
  * Add the get-orig-source target
  * New upstream version 1.14.9+0.20201024
  * Drop debian/patches
  * Drop xemacs21, emacs23 and older versions
  * Update Texinfo files handling
  * Add debian/upstream/metadata
  * Update debian/watch to use mode=git
  * Update description to mention FLIM-LB
  * Update debian/copyright
  * Don't install obsolete ChangeLog
  * Update debhelper-compat to 13
  * Add Breaks to prevent failure with xemacs21
  * New upstream version 1.14.9+0.20201029

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Nov 2020 21:26:57 +0900

flim (1:1.14.9+0.20120428-24) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2020-03-06
  * Add Rules-Requires-Root: no
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Mar 2020 10:44:38 +0900

flim (1:1.14.9+0.20120428-23) unstable; urgency=medium

  * Update debhelper-compat to 12
  * Update Standards-Version to 4.4.0
  * Skip old flavors xemacs20 and xemacs19
  * Recompile semi and then w3m-el

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Jul 2019 22:09:16 +0900

flim (1:1.14.9+0.20120428-22) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Update 010_flim-1_14-wl.patch to 2019-05-26
  * Update Standards-Version to 4.3.0
  * Update debian/copyright
  * Use debhelper-compat 11

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 07 Jul 2019 22:42:05 +0900

flim (1:1.14.9+0.20120428-21) unstable; urgency=medium

  * Fix handling for xemacs21-mule/nomule
  * Check stamp file so that source file isn't newer
  * Handle symlinks for emacsen-startup
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 19 Aug 2018 23:03:30 +0900

flim (1:1.14.9+0.20120428-20) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4
  * Don't install *.sgml

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 17:51:30 +0900

flim (1:1.14.9+0.20120428-19) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2018-03-29

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 30 Mar 2018 00:08:15 +0900

flim (1:1.14.9+0.20120428-18) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2018-01-18
  * Update debhelper compat version to 10
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.3
  * Don't byte-compile sasl-xoauth2.el

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 24 Jan 2018 23:15:39 +0900

flim (1:1.14.9+0.20120428-17) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2016-12-11
  * Update debian/copyright
  * Drop 020_xemacs.patch (unneeded)
  * Prefer emacs-nox over emacs

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jan 2017 23:47:46 +0900

flim (1:1.14.9+0.20120428-16) unstable; urgency=medium

  * New patch 020_xemacs.patch to prevent errors on XEmacs
  * Update debhelper compat version to 9

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 28 Oct 2016 20:29:03 +0900

flim (1:1.14.9+0.20120428-15) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2016-08-31
  * Accept emacs25

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 13:33:10 +0900

flim (1:1.14.9+0.20120428-14) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2016-03-12
  * Update debian/copyright
  * Update Standards-Version to 3.9.8

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jun 2016 20:18:14 +0900

flim (1:1.14.9+0.20120428-13) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2015-12-13
  * Update Vcs-Browser to https

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Dec 2015 18:39:00 +0900

flim (1:1.14.9+0.20120428-12) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2015-07-30

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Aug 2015 12:29:03 +0900

flim (1:1.14.9+0.20120428-11) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2015-05-02
    - Fix for CCL unusable environments (closes: #783713)

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 May 2015 10:56:34 +0900

flim (1:1.14.9+0.20120428-10) unstable; urgency=medium

  * Update 010_flim-1_14-wl.patch to 2015-04-28
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Apr 2015 18:26:20 +0900

flim (1:1.14.9+0.20120428-9) unstable; urgency=medium

  * Sync 010_flim-1_14-wl.patch on 2014-09-15
    - Workaround to handle '%s' in /etc/mailcap (closes: #572993)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Sep 2014 23:03:24 +0900

flim (1:1.14.9+0.20120428-8) unstable; urgency=medium

  * Sync 010_flim-1_14-wl.patch on 2014-06-26

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 28 Jun 2014 07:10:29 +0900

flim (1:1.14.9+0.20120428-7) unstable; urgency=medium

  * Sync 010_flim-1_14-wl.patch on 2014-06-16
  * Drop 020_ikazuhiro.patch (merged flim-1_14-wl)
  * Depend on emacsen-common 2.0.8



=== debian/control ===
Source: flim
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texinfo
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/flim
Vcs-Git: https://salsa.debian.org/debian/flim.git
Homepage: https://github.com/wanderlust/flim
Rules-Requires-Root: no

Package: flim
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: xemacs21-bin, semi, wl | wl-beta
Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~), mu-cite (<< 8.1+0.20201103-1~), semi (<< 1.14.7~0.20201104-1~)
Conflicts: tm, semi-gnus (<< 1:6.10.13), flim1.13
Replaces: flim1.13
Description: library about internet message for emacsen
 FLIM (Faithful Library about Internet Message) is a library to provide
 basic functions about message representation and encoding for emacsen.
 It consists of following modules:
 .
  std11.el         STD 11 (RFC 822) parser and utility
  mime.el          to provide various services about MIME-entities
  mime-def.el      Definitions about MIME format
  mime-parse.el    MIME parser
  mel.el           MIME encoder/decoder
  mel-q-ccl.el     quoted-printable and Q-encoding encoder/decoder (using CCL)
  mel-q.el         quoted-printable and Q-encoding encoder/decoder
  mel-u.el         unofficial backend for uuencode
  mel-g.el         unofficial backend for gzip64
  eword-decode.el  encoded-word decoder
  eword-encode.el  encoded-word encoder
 .
 This package provides FLIM-LB, a variant of FLIM using lexical binding
 mainly maintained for Wanderlust mail/news reader.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=flim
ELDIR=$(CURDIR)/debian/$(PACKAGE)/usr/share/$(PACKAGE)

get-orig-source:
	wget -O upstream.tar.gz https://github.com/wanderlust/flim/tarball/flim-1_14-wl
	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "flim_1.14.9+0.$$1$$2$$3.orig.tar.gz\n"; exit}'`

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	for fbase in mime-en mime-ja; do makeinfo $$fbase.texi; done
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f *build*-stamp
	rm -f *.info .\#* debian/.\#*

	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp Makefile FLIM-* *.el $(ELDIR)/
	rm -f $(ELDIR)/FLIM-API*

# Do not install obsolete files
	for f in mailcap.el smtpmail.el; do \
	  if [ -f $(ELDIR)/$$f ]; then rm -f $(ELDIR)/$$f; fi; \
	done

binary-indep: install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installemacsen --priority 50
	dh_installinfo
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

## flim 1.14.9+0.20210529

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,6 @@
 ARC_DIR = $(ARC_DIR_PREFIX)/flim/flim-$(API)
 SEMI_ARC_DIR = $(ARC_DIR_PREFIX)/semi/semi-1.14-for-flim-$(API)
 
-CVS_HOST = cvs.m17n.org
-
 elc:
 	$(EMACS) $(FLAGS) -f compile-flim $(PREFIX) $(LISPDIR) \
 		$(VERSION_SPECIFIC_LISPDIR)
@@ -53,21 +51,6 @@
 clean:
 	-$(RM) $(GOMI)
 
-
-tar:
-	cvs commit
-	sh -c 'cvs tag -R $(PACKAGE)-`echo $(VERSION) | tr . _`; \
-	cd /tmp; \
-	cvs -d :pserver:anonymous@$(CVS_HOST):/cvs/root \
-		export -d $(PACKAGE)-$(VERSION) \
-		-r $(PACKAGE)-`echo $(VERSION) | tr . _` \
-		flim'
-	cd /tmp; $(RM) $(PACKAGE)-$(VERSION)/ftp.in ; \
-		$(TAR) cvzf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
-	cd /tmp; $(RM) -r $(PACKAGE)-$(VERSION)
-	sed "s/VERSION/$(VERSION)/" < ftp.in | sed "s/API/$(API)/" \
-		| sed "s/PACKAGE/$(PACKAGE)/" > ftp
-
 release:
 	-$(RM) $(ARC_DIR)/$(PACKAGE)-$(VERSION).tar.gz
 	mv /tmp/$(PACKAGE)-$(VERSION).tar.gz $(ARC_DIR)

=== debian/changelog ===
flim (1:1.14.9+0.20210529-1) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since stretch
    Drop versioned constraint on apel, dpkg and emacsen-common in Depends.
    Changes-By: deb-scrub-obsolete

  [ Tatsuya Kinoshita ]
  * New upstream version 1.14.9+0.20210529
  * Simplify Info handling

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 19 Aug 2021 19:41:00 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: flim
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel, dpkg | install-info, ${misc:Depends}
 Suggests: xemacs21-bin, semi, wl | wl-beta
 Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~), mu-cite (<< 8.1+0.20201103-1~), semi (<< 1.14.7~0.20201104-1~)
 Conflicts: tm, semi-gnus (<< 1:6.10.13), flim1.13

## flim 1.14.9+0.20221103

=== debian/changelog ===
flim (1:1.14.9+0.20221103-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Tatsuya Kinoshita ]
  * New upstream version 1.14.9+0.20221103
  * Prevent native compilation in emacsen-install
  * Remove unneeded dependency on install-info (closes: #1013688)
  * Remove empty maintainer scripts
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 18 Nov 2022 23:36:14 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/flim
 Vcs-Git: https://salsa.debian.org/debian/flim.git
 Homepage: https://github.com/wanderlust/flim
@@ -12,7 +12,7 @@
 
 Package: flim
 Architecture: all
-Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel, dpkg | install-info, ${misc:Depends}
+Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel, ${misc:Depends}
 Suggests: xemacs21-bin, semi, wl | wl-beta
 Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~), mu-cite (<< 8.1+0.20201103-1~), semi (<< 1.14.7~0.20201104-1~)
 Conflicts: tm, semi-gnus (<< 1:6.10.13), flim1.13

## flim 1.14.9+0.20230205

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 LISPDIR = NONE
 PACKAGEDIR = NONE
 VERSION_SPECIFIC_LISPDIR = NONE
+PACKAGE_LISPDIR = package-user-dir
 
 GOMI	= *.elc \
 	  *.cp *.cps *.ky *.kys *.fn *.fns *.vr *.vrs \
@@ -31,22 +32,15 @@
 
 elc:
 	$(EMACS) $(FLAGS) -f compile-flim $(PREFIX) $(LISPDIR) \
-		$(VERSION_SPECIFIC_LISPDIR)
+		$(VERSION_SPECIFIC_LISPDIR) $(PACKAGE_LISPDIR)
 
 check:
 	$(EMACS) $(FLAGS) -f check-flim $(PREFIX) $(LISPDIR) \
-		$(VERSION_SPECIFIC_LISPDIR)
+		$(VERSION_SPECIFIC_LISPDIR) $(PACKAGE_LISPDIR)
 
 install:	elc
 	$(EMACS) $(FLAGS) -f install-flim $(PREFIX) $(LISPDIR) \
-		$(VERSION_SPECIFIC_LISPDIR)
-
-
-package:
-	$(XEMACS) $(FLAGS) -f compile-flim-package $(PACKAGEDIR)
-
-install-package:	package
-	$(XEMACS) $(FLAGS) -f install-flim-package $(PACKAGEDIR)
+		$(VERSION_SPECIFIC_LISPDIR) $(PACKAGE_LISPDIR)
 
 clean:
 	-$(RM) $(GOMI)

=== debian/changelog ===
flim (1:1.14.9+0.20230205-1) unstable; urgency=medium

  * New upstream version 1.14.9+0.20230205

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 06 Feb 2023 06:29:15 +0900

flim (1:1.14.9+0.20221214-1) unstable; urgency=medium

  * New upstream version 1.14.9+0.20221214
  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Leave a compilation log
  * Relax dependencies on emacs flavors
  * Update Standards-Version to 4.6.2
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 17:06:48 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/flim
 Vcs-Git: https://salsa.debian.org/debian/flim.git
 Homepage: https://github.com/wanderlust/flim
@@ -12,7 +12,8 @@
 
 Package: flim
 Architecture: all
-Depends: emacsen-common, emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, apel, ${misc:Depends}
+Depends: emacsen-common, apel, ${misc:Depends}
+Recommends: emacs-nox | emacs
 Suggests: xemacs21-bin, semi, wl | wl-beta
 Breaks: wl (<< 2.15.9+0.20190205-5~), wl-beta (<< 2.15.9+0.20200822-1~), mu-cite (<< 8.1+0.20201103-1~), semi (<< 1.14.7~0.20201104-1~)
 Conflicts: tm, semi-gnus (<< 1:6.10.13), flim1.13

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-	for fbase in mime-en mime-ja; do makeinfo $$fbase.texi; done
+	makeinfo mime-en.texi
+	makeinfo mime-ja.texi
 	touch $@
 
 build-arch:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.14.9+0.%cd, date=%Y%m%d" \
https://github.com/wanderlust/flim HEAD debian uupdate
